# JacocoCoverageReport

API Documentation: | `JacocoCoverageReport`

Note: This class is incubating and may change in a future version of Gradle.

A container for the inputs of an aggregated JaCoCo code coverage report.

### Properties

Property | Description
`reportTask` | Incubating Contains the `JacocoReport` task instance which produces this report
`testType` | Incubating Contains a value representing the type of test suite this task belongs to. See static constants on `TestSuiteType` for examples.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``TaskProvider`<`JacocoReport`>` `reportTask`

Note: This property is incubating and may change in a future version of Gradle.

Contains the `JacocoReport` task instance which produces this report

#### ``Property`<`String`>` `testType`

Note: This property is incubating and may change in a future version of Gradle.

Contains a value representing the type of test suite this task belongs to. See static constants on `TestSuiteType` for examples.